#
# spec file for package python-visitor
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-visitor
Version:        0.1.3
Release:        2.1
Summary:        A tiny pythonic visitor implementation
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/mbr/visitor
Source:         https://github.com/mbr/visitor/archive/%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A tiny library to facilitate visitor implementation in Python
(which are slightly peculiar due to dynamic typing).

%prep
%setup -q -n visitor-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%{python_sitelib}/visitor
%{python_sitelib}/visitor-%{version}*-info

%changelog
* Fri Jun 13 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Thu Oct 18 2018 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by Flask-Bootstrap
